## org.opengis.geometry.coordinate
Interface Triangle

All Superinterfaces:
  GenericSurface, Polygon, SurfacePatch

    @UML(identifier="GM_Triangle",
         specification=ISO_19107)
    public interface Triangle

extends Polygon

A planar polygon defined by 3 corners. That is, a triangle would be the result of a constructor of the form: `Polygon(LineString({P1, P2, P3, P1}))` where P1, P2, and P3 are three positions. Triangles have no holes. Triangle shall be used to construct triangulated surfaces.

Note: The points in a triangle can be located in terms of their corner points by defining a set of barycentric coordinates, three nonnegative numbers c1, c2, and c3 such that c1 + c2 + c3 = 1.0. Then, each point P in the triangle can be expressed for some set of barycentric coordinates as:

> P = c1P1 + c2P2 + c3P3

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`List<Position>` `getCorners()` Returns the triangle corner.

Methods inherited from interface Polygon
`getBoundary, getSpanningSurface`

Methods inherited from interface SurfacePatch
`getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Method Detail

### getCorners

    @UML(identifier="corners",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<Position> getCorners()

  Returns the triangle corner. The list must contains exactly 3 elements.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.